/****************************************************************************
**  Copyright (c) 2013, Adel Kara Slimane, the ZeGrapher project <contact@zegrapher.com>
**
**  This file is part of the ZeGrapher project, version 2.0.
**
**  ZeGrapher is free software: you may copy, redistribute and/or modify it
**  under the terms of the GNU General Public License as published by the
**  Free Software Foundation, either version 3 of the License, or (at your
**  option) any later version.
**
**  This file is distributed in the hope that it will be useful, but
**  WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
**  General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program.  If not, see <http://www.gnu.org/licenses/>.
**
****************************************************************************/


#include "qcolorbutton.h"

QColorButton::QColorButton(QColor color)
{
    setColor(color);
    setFixedSize(15, 15);
    setFocusPolicy(Qt::NoFocus);

    connect(this, SIGNAL(released()), this, SLOT(openColorDialog()));
}

void QColorButton::openColorDialog()
{
    setColor(QColorDialog::getColor(currentColor, window()));
}

void QColorButton::setColor(QColor color)
{
    currentColor = color;
    setStyleSheet("background-color:"+color.name()+"; border-width: 1px; border-color: grey; border-style: solid; border-radius: 5;");

    emit colorChanged(currentColor);
}

QColor QColorButton::getCurrentColor()
{
    return currentColor;
}
